@use '../../globals.scss';

.query-builder.timetable-session-chooser {
  position: relative;
  display: grid;
  grid-template-areas: 
    "title select-all select-none" 
    "timetable timetable timetable";
  column-gap: 0.3em;
  grid-template-columns: 1fr auto auto;
  grid-template-rows: minmax(1em, max-content) 1fr;
  
  & > .title {
    grid-area: title;
    font-size: 160%;
    padding: 0.2em;
  }
  & > .select-all {
    grid-area: select-all;
    align-self: center;
    padding: 0.2em 1em;
  }
  & > .select-none {
    grid-area: select-none;
    align-self: center;
    padding: 0.2em 1em;
  }
  & > .timetable {
    grid-area: timetable;
    .cell {
      & > * {
        @include globals.button-like;
      }
      &:not(.selected) {
        opacity: 0.5;
      }
    }
  }
  & > .overlay {
    z-index: 10;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;

    .message.sessions_changed {
      position: relative;
      overflow-y: auto;
      & > * {
        &:not(:last-child) {
          margin-bottom: 0.5em;
        }
        .header {
        }
        .body {
          padding-left: 1em;
          margin-right: 0.5em;
          font-size: 80%;
          overflow-y: auto;
          max-height: 7.5em;

          & > .item {
            position: relative;
            &:not(:last-child) {
              margin-bottom: 0.2em;
            }
            &::before {
              position: absolute;
              content: "";

              border-radius: 50%;
              background-color: var(--text-primary-color);
              width: 0.35em;
              height: 0.35em;
              top: 0.45em;
              left: -0.3em;
              transform: translateX(-100%);
            }
          }
        }
      }
    }
  }
}
